#!/bin/sh

set -e

${MAKE:-make} histaxis

test ! -f xhistaxis/xhistaxis1.nc || rm -f xhistaxis/xhistaxis1.nc
test ! -f xhistaxis/xhistaxis2.nc || rm -f xhistaxis/xhistaxis2.nc
test ! -f xhistaxis/xhistaxis3.nc || rm -f xhistaxis/xhistaxis3.nc
test ! -f xhistaxis/xhistaxis4.nc || rm -f xhistaxis/xhistaxis4.nc

./histaxis 2> xdifs.log

cd xhistaxis

###### Basic Create test of HistoryCreate2 and HistoryAddVariable2 #####

echo -n "histaxis [Basic Create test of HistoryCreate2 and HistoryAddVariable2] ... "

ncdump xhistaxis1.nc        > xhistaxis1.cdl
ncdump xhistaxis1org.nc     > xhistaxis1org.cdl
diff xhistaxis1.cdl xhistaxis1org.cdl > xhistaxis1dif.cdl ||

diff xhistaxis1dif.cdl - <<EOF
1c1
< netcdf xhistaxis1 {
---
> netcdf xhistaxis1org {
EOF

echo "okay"

rm -f xhistaxis1.nc xhistaxis1*.cdl xhistaxis1dif.cdl

###### Derived Type GT_HISTORY_AXIS and GT_HISTORY_VARINFO test #####

echo -n "histaxis [Derived Type GT_HISTORY_AXIS and GT_HISTORY_VARINFO directly arguments test] ... "

ncdump xhistaxis2.nc        > xhistaxis2.cdl
ncdump xhistaxis2org.nc     > xhistaxis2org.cdl
diff xhistaxis2.cdl xhistaxis2org.cdl > xhistaxis2dif.cdl ||

diff xhistaxis2dif.cdl - <<EOF
1c1
< netcdf xhistaxis2 {
---
> netcdf xhistaxis2org {
EOF

echo "okay"

rm -f xhistaxis2.nc xhistaxis2*.cdl xhistaxis2dif.cdl


###### Axes by GT_HISTORY_AXIS test #####

echo -n "histaxis [HistorydCreate2 without Argument Keyword test] ... "

ncdump xhistaxis3.nc        > xhistaxis3.cdl
ncdump xhistaxis3org.nc     > xhistaxis3org.cdl
diff xhistaxis3.cdl xhistaxis3org.cdl > xhistaxis3dif.cdl ||

diff xhistaxis3dif.cdl - <<EOF
1c1
< netcdf xhistaxis3 {
---
> netcdf xhistaxis3org {
EOF

echo "okay"

rm -f xhistaxis3.nc xhistaxis3*.cdl xhistaxis3dif.cdl


###### Axes by GT_HISTORY_AXIS test #####

echo -n "histaxis [HistorydAddAttr2 test] ... "

ncdump xhistaxis4.nc        > xhistaxis4.cdl
ncdump xhistaxis4org.nc     > xhistaxis4org.cdl
diff xhistaxis4.cdl xhistaxis4org.cdl > xhistaxis4dif.cdl ||

diff xhistaxis4dif.cdl - <<EOF
1c1
< netcdf xhistaxis4 {
---
> netcdf xhistaxis4org {
EOF

echo "okay"

rm -f xhistaxis4.nc xhistaxis4*.cdl xhistaxis4dif.cdl

rm -f xhistaxis?.nc xhistest?*.cdl ../xdifs.log

exit 0
